# Upstream doesn't use a SONAME and nobody knows how stable the interface is
# Please take extra care when updating this package -- bump the following
# and rebuild dependencies (shouldn't be many) if you suspect an ABI change:
%define abi_major 0
%define abi_minor 1

Name:           pnglite
Version:        0.1.17
Release:        %{abi_minor}%{?dist}.2
Summary:        A lightweight C library for loading PNG images

Group:          Development/Libraries
License:        zlib
URL:            http://www.karlings.com/~danne/pnglite/
Source0:        http://downloads.sourceforge.net/pnglite/%{name}-%{version}.zip
Patch0:         pnglite-0.1.17-zlib.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  zlib-devel

%description
pnglite is a C library for loading PNG images. It was created as a
substitute for libpng in situations when libpng is more than enough. It
currently requires zlib for inflate and crc checking and it can read the
most common types of PNG images. The library has a small and simple to use
interface.


%package devel
Summary:        Files needed to build and link programs with pnglite
Group:          Development/Libraries
Requires:       pnglite = %{version}

%description devel
This contains a header file and a link to library for the linker
to link against pnglite.


%prep
%setup -q -c
%patch0 -p1 -b .zlib
sed 's/\r//' -i pnglite.h


%build
gcc %{optflags} -shared -fPIC -Wl,--soname,libpnglite.so.%{abi_major} \
       -o libpnglite.so.%{abi_major}.%{abi_minor} pnglite.c


%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_libdir}
install -d $RPM_BUILD_ROOT%{_includedir}

install -pm 0644 pnglite.h $RPM_BUILD_ROOT%{_includedir}
install libpnglite.so.%{abi_major}.%{abi_minor} $RPM_BUILD_ROOT%{_libdir}
ln -s libpnglite.so.%{abi_major}.%{abi_minor} $RPM_BUILD_ROOT%{_libdir}/libpnglite.so.%{abi_major}
ln -s libpnglite.so.%{abi_major}.%{abi_minor} $RPM_BUILD_ROOT%{_libdir}/libpnglite.so


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%{_libdir}/*.so.*
# No documentation. License text is in the header file in -devel though.


%files devel
%defattr(-,root,root,-)
%{_libdir}/*.so
%{_includedir}/*.h


%changelog
* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.17-1.2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.17-1.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Dec 31 2008 Lubomir Rintel <lkundrak@v3.sk> - 0.1.17-1
- Initial packaging
